﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.analysis
{
    /// <summary> Holds a map of String input to String output, to be used
    /// with {@link MappingCharFilter}.
    /// </summary>
    public interface INormalizeCharMap
    {
        Dictionary<char, INormalizeCharMap> SubMap { get; set; }
        string NormStr { get; set; }
        int Diff { get; set; }

        /// <summary>Records a replacement to be applied to the inputs
        /// stream.  Whenever <code>singleMatch</code> occurs in
        /// the input, it will be replaced with
        /// <code>replacement</code>.
        /// 
        /// </summary>
        /// <param name="singleMatch">input String to be replaced
        /// </param>
        /// <param name="replacement">output String
        /// </param>
        void Add(string singleMatch, string replacement);
    }
}
