using lucere.index.read;
namespace lucere.analysis.enumerator
{
    /// <summary>
    /// Contract for enumerating all terms that match the
    /// specified wildcard filter term.
    ///<p>Term enumerations are always ordered by Term.compareTo().  Each term in
    ///the enumeration is greater than all that precede it.</p>
    /// </summary>
    public interface IWildcardTermEnumerator : IFilteredTermEnumerator
    {
        ITerm SearchTerm { get; }
        string Field { get; }
        string Text { get; }
        string Pre { get; }
        int PreLen { get; }
        bool EndEnum { get; }
    }
}