﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.entity
{
    /// <summary>Specifies whether and how a field should have term vectors. </summary>
    public enum FieldTermVector
    {
        /// <summary>Do not store term vectors. </summary>
        No,
        /// <summary>Store the term vectors of each document. A term vector is a list
        /// of the document's terms and their number of occurrences in that document. 
        /// </summary>
        Yes,
        /// <summary> Store the term vector + token position information</summary>
        WithPositions,
        /// <summary> Store the term vector + Token offset information</summary>
        WithOffsets,
        /// <summary> Store the term vector + Token position and offset information</summary>
        WithPositionsOffsets
    }
}
