﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.entity
{
    /// <summary> Similar to a {@link java.io.FileFilter}, the FieldSelector allows one to make decisions about
    /// what Fields get loaded on a {@link Document} by {@link Lucene.Net.Index.IndexReader#Document(int,Lucene.Net.Documents.FieldSelector)}
    /// </summary>
    public interface IFieldSelector
    {
        /// <summary> </summary>
        /// <param name="fieldName">the field to accept or reject
        /// </param>
        /// <returns> an instance of {@link FieldSelectorResult}
        /// if the {@link Field} named <code>fieldName</code> should be loaded.
        /// </returns>
        FieldSelectorResult Accept(string fieldName);
    }
}
