using System;

namespace lucere.index.diagnostic
{
    /// <summary>
    /// Status from testing term index.
    /// </summary>
    public interface ITermIndexStatus 
    {
        /// <summary>
        /// Total term count 
        /// </summary>
        long TermCount { get; set; } 

        /// <summary>
        /// Total frequency across all terms.
        /// </summary>
        long TotalFrequency { get; set; } 
            
        /// <summary>
        /// Total number of positions.
        /// </summary>
        long TotalPositions { get; set; } 
          
        /// <summary>
        /// Exception thrown during term index test (null on success) 
        /// </summary>
        Exception Exception { get; set; } 
    }
}