namespace lucere.index.inversion
{
    /// <summary>
    /// This is the base class for an in-memory posting list,
    /// keyed by a Token.  ITermsHash maintains a hash
    /// table holding one instance of this per unique Token.
    /// Consumers of ITermsHash ITermsHashConsumer must
    /// subclass this class with its own concrete class.
    /// IFreqProxPostingList is a private inner class used 
    /// for the freq/prox postings, and ITermVectorsPostingList 
    /// is a private inner class used to hold TermVectors postings.
    /// </summary>
    public interface IRawPostingList
    {
        int TextStart { get; set; }
        int IntStart { get; set; }
        int ByteStart { get; set; }
    }
}