﻿using System.Collections.Generic;

namespace lucere.index.read
{
    /// <summary>
    /// Interface for enumerating terms.
    /// <p>Term enumerations are always ordered by Term.compareTo().  Each term in
    /// the enumeration is greater than all that precede it.  
    /// </summary>
    public interface ITermEnumerator : IEnumerator<ITerm>
    {
        /// <summary>
        /// Returns the docFreq of the current Term in the enumeration.
        /// </summary>
        /// <returns></returns>
        int DocFreq { get; }
    }
}
