﻿using System.IO;

namespace lucere.io.concurrency
{
	public interface IFSLockFactory : ILockFactory
	{
		/// <summary>
		/// Set the lock directory. This method can be only called
		/// once to initialize the lock directory. It is used by {@link FSDirectory}
		/// to set the lock directory to itsself.
		/// Subclasses can also use this method to set the directory
		/// in the constructor.
		/// </summary>
		DirectoryInfo LockDirectory { get; set; }
	}
}
