using System;
using System.Collections.Generic;

namespace lucere.io.concurrency
{
	/// <summary>
	/// Implements <see cref="LockFactory"></see> for a single in-process instance,
	/// meaning all locking will take place through this one instance.
	/// Only use this <see cref="LockFactory"></see> when you are certain all
	/// IndexReaders and IndexWriters for a given index are running
	/// against a single shared in-process Directory instance.  This is
	/// currently the default locking for RAMDirectory.
	/// LockFactory
	/// </summary>
	public interface ISingleInstanceLockFactory : ILockFactory
	{
		
	}
}