namespace lucere.io.concurrency
{
	///<summary>
	/// A <see cref="ILockFactory"/> that wraps another <see cref="ILockFactory"/>
	/// and verifies that each lock obtain/release
	/// is "correct" (never results in two processes holding the
	/// lock at the same time).  It does this by contacting an
	/// external server <see cref="ILockVerifyServer"></see> to assert that
	/// at most one process holds the lock at a time.  To use
	/// this, you should also run <see cref="ILockVerifyServer"></see> on the
	/// host & port matching what you pass to the constructor.
	///
	/// <see cref="ILockVerifyServer"></see>
	/// <see cref="LockStressTest"></see>
	///</summary>
	public interface IVerifyingLockFactory : ILockFactory
	{

	}
}