namespace lucere.service.search
{
	///<summary>
	/// Expert: Describes the score computation for document and query, and
	/// can distinguish a match independent of a positive value.
	///</summary>
	public interface IComplexExplanation : IExplanation
	{
		///<summary>
		/// The match status of this explanation node.
		/// <b>May be null if match status is unknown</b>
		///</summary>
		bool? Match { get; set; }//Sergey - c# nullable bool == Boolean http://download.oracle.com/javase/6/docs/api/java/lang/Boolean.html

		///<summary>
		/// Indicates whether or not this Explanation models a good match.
		/// <p>
		/// If the match status is explicitly set (i.e.: not null) this method
		/// uses it; otherwise it defers to the superclass.
		/// see <see cref="Match"></see>
		/// </p>
		///</summary>
		bool IsMatch { get; }
	}
}