using System.Runtime.Serialization;

namespace lucere.service.search
{
	///<summary>
	/// Expert: Returned by low-level search implementations.
    /// <see cref="ITopDocs"></see>
	///</summary>
	public interface IScoreDoc
	{
		///<summary>
		/// Expert: The score of this document for the query. 
		/// </summary>
		float Score { get; set; }

		///<summary>
		/// Expert: A hit document's number.
		/// <see cref="ISearcher.Doc(int)"></see>
		///</summary>
		int Doc { get; set; }
	}
}