using System.Collections.Generic;
using lucere.analysis;

namespace lucere.service.search
{

	/**
 *  The results of a SpanQueryFilter.  Wraps the BitSet and the position information from the SpanQuery
 *
 *<p/>
 * NOTE: This API is still experimental and subject to change. 
 *
 **/
	public interface ISpanFilterResult
	{
		/**
		   * The first entry in the array corresponds to the first "on" bit.
		   * Entries are increasing by document order
		   * @return A List of PositionInfo objects
		   */
		IList<IPositionInfo> Positions { get; }
		/** Returns the docIdSet */
		IDocIdSet DocIdSet { get; }
	}
}