﻿using lucere.analysis.query;
using lucere.analysis.query.filter;

namespace lucere.service.search
{
	///<summary>
	/// Represents hits returned by 
	///<see cref="ISearcher.Search(IQuery,IFilter,int)"></see>
	/// and 
	///<see cref="ISearcher.Search(IQuery,int)"></see>.
	///</summary>
	public interface ITopDocs
	{
		/// <summary>
		/// The total number of hits for the query.
		/// </summary>
		int TotalHits { get; set; }

		/// <summary>
		/// The top hits for the query.
		/// </summary>
		IScoreDoc[] ScoreDocs { get; set; }
	}
}