namespace lucere.service.search.collect
{
	///<summary>
	/// A <see cref="ICollector"/> implementation that collects the top-scoring hits,
	/// returning them as a <see cref="ITopDocs"/>. This is used by <see cref="IIndexSearcher"/> to
	/// implement <see cref="ITopDocs"/>-based search. Hits are sorted by score descending
	/// and then (when the scores are tied) docID ascending. When you create an
	/// instance of this collector you should know in advance whether documents are
	/// going to be collected in doc Id order or not.
	///
	/// <b>NOTE</b>: The values <see cref="float.NaN"/> and
	/// <see cref="float.NegativeInfinity"/> are not valid scores.  This
	/// collector will not properly collect hits with such
	/// scores.
	///</summary>
	public interface ITopScoreDocCollector : ITopDocsCollector<IScoreDoc>
	{

	}
}