﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.analysis
{
    /// <summary> Abstract decorator class of a DocIdSetIterator
    /// implementation that provides on-demand filter/validation
    /// mechanism on an underlying DocIdSetIterator.  See {@link
    /// FilteredDocIdSet}.
    /// </summary>
    public interface IFilteredDocIdSetIterator : IDocIdSetIterator
    {
        /// <summary> Validation method to determine whether a docid should be in the result set.</summary>
        /// <param name="doc">docid to be tested
        /// </param>
        /// <returns> true if input docid should be in the result set, false otherwise.
        /// </returns>
        /// <seealso cref="FilteredDocIdSetIterator(DocIdSetIterator)">
        /// </seealso>
        bool Match(int paramInt);
    }
}
